#include <bits/stdc++.h>
using namespace std;
string abeceda="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
int n;
string a;
int main(){
cin>>n;
cin>>a;
if(n==26){
    if(a==abeceda){
        cout<<"0"<<endl;
    }

}
 if(n==27){
        cout<<"1"<<endl;
      }
     

      }
return 0;
}